package Classes;

import Classes.NonStaticOuterClass.InnerClass;

class NonStaticOuterClass 
{  
    static int x = 10; 
      
    int y = 20; 
      
    private int z = 30; 
      
    // inner class 
    class InnerClass 
    { 
        void display() 
        { 
            // can access static member of outer class 
            System.out.println("outer_x = " + x); 
              
            // can also access non-static member of outer class 
            System.out.println("outer_y = " + y); 
              
            // inner class can also access a private member of the outer class 
            System.out.println("outer_private = " + z); 
          
        } 
    } 
} 
  
// Driver class 
public class InnerClassDemo 
{ 
    public static void main(String[] args) 
    { 
        // accessing an inner class 
        NonStaticOuterClass obj = new NonStaticOuterClass(); 
        NonStaticOuterClass.InnerClass innerObject = obj.new InnerClass(); 
          
        innerObject.display(); 
          
    } 
} 
